#!/usr/bin/env bash

FOXDIR=../../../fox-1.6

#qt sources
INPUT=`find ../../qt -type f \( -name *.cpp -o -name *.h \)`

xgettext -C --from-code=UTF-8 --msgid-bugs-address=arch_dvx@users.sourceforge.net --package-name=dxirc\
    --package-version=1.20.0 --copyright-holder="David Vachulka" --keyword=_ --keyword=N_ --keyword=_n:1,2\
    -o dxirc.pot $INPUT

#fox sources
INPUT=`find ../../fox -type f \( -name *.cpp -o -name *.h \)`

xgettext -C -j --from-code=UTF-8 --msgid-bugs-address=arch_dvx@users.sourceforge.net --package-name=dxirc\
    --package-version=1.20.0 --copyright-holder="David Vachulka" --keyword=_ --keyword=N_ --keyword=tr:1 --keyword=_n:1,2\
    -o dxirc.pot $INPUT

# FOX files
INPUT="$FOXDIR/src/FXMessageBox.cpp \
$FOXDIR/src/FXColorSelector.cpp \
$FOXDIR/src/FXDirSelector.cpp \
$FOXDIR/src/FXFileList.cpp \
$FOXDIR/src/FXFileSelector.cpp \
$FOXDIR/src/FXReplaceDialog.cpp \
$FOXDIR/src/FXSearchDialog.cpp \
$FOXDIR/src/FXStatusLine.cpp"

xgettext -C -j --from-code=UTF-8 --msgid-bugs-address=arch_dvx@users.sourceforge.net  --package-name=dxirc --package-version=1.20.0 --copyright-holder="David Vachulka" --keyword=tr:1 -o dxirc.pot $INPUT

for i in *.po
do
  echo "Updating $i ..."
  msgmerge --update --backup=off $i dxirc.pot
done
