/*
 *      dccsenddialog.h
 *
 *      Copyright 2014 David Vachulka <arch_dvx@users.sourceforge.net>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#ifndef DCCSENDDIALOG_H
#define DCCSENDDIALOG_H

#include <QDialog>
#include <QLineEdit>
#include <QCheckBox>

class DccSendDialog : public QDialog
{
    Q_OBJECT
public:
    explicit DccSendDialog(const QString &nick, QWidget *parent = 0);
    
    bool passive();
    QString file() const;
private:
    QLineEdit *m_file;
    QCheckBox *m_passive;
private slots:
    void accept();
    void selectFile();
};

#endif // DCCSENDDIALOG_H
